/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.composite;



/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.5.2.4 $
 */
public interface EntityTest
{
   Customer oneToManyCreate(String name) throws Exception;

   Customer findCustomerByPk(CustomerPK pk) throws Exception;

   Flight manyToOneCreate() throws Exception;

   Flight findFlightById(Long id) throws Exception;

   void manyToManyCreate() throws Exception;

   FieldCustomer fieldOneToManyCreate(String name) throws Exception;

   FieldCustomer fieldFindCustomerByPk(FieldCustomerPK pk) throws Exception;

   FieldFlight fieldManyToOneCreate() throws Exception;

   void fieldManyToManyCreate() throws Exception;

   FieldFlight fieldFindFlightById(Long id) throws Exception;

}
